--- title: "View usage plan" slug: "apigateway-usageplan-getusageplan" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-usageplan-getusageplan" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View usage plan Available in Classic and VPC View the details of a specified usage plan. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/usage-plans/{usage-plan-id} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `usage-plan-id` | String | Required | ID of usage plan to view - 0 - 10 characters - See [View usage plan list](/docs/en/apigateway-usageplan-getusageplanlist) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/usage-plans/***wthl***"' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "usagePlan" : { "domainCode" : "domainCode", "usagePlanId" : "usagePlanId", "modifier" : "modifier", "associatedStagesCount" : 0, "dayQuotaRequest" : 6, "permission" : "permission", "rateRps" : 5, "usagePlanName" : "usagePlanName", "monthQuotaRequest" : 1, "tenantId" : "tenantId", "disabled" : true, "usagePlanDescription" : "usagePlanDescription", "quotaCondition" : "quotaCondition", "actionName" : "actionName" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "usagePlan": { "tenantId": "***e230cebc1402ba89b148896951***", "usagePlanId": "***wthl***", "rateRps": 2, "usagePlanName": "usageplan000", "usagePlanDescription": "usage plan", "dayQuotaRequest": 5, "monthQuotaRequest": 10, "domainCode": "PUB", "associatedStagesCount": 0 } } ```